<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::HardwareVertexBuffer Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#344c52f2214eaff097d5fbc390e7684b">_updateFromShadow</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#721891f0c0bd391dd5848c8a585ba054">copyData</a>(HardwareBuffer &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#adf84ce66787e07b1119e278fdd67a6e">getNumVertices</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#1b1b5faf06139040824fd989d0b279f8">getSizeInBytes</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#0e00770f5e9395e41b6520be8421a6c8">getUsage</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#dc5090970f3336432f181a42564855c7">getVertexSize</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#43c79e8e2fa85a83f800214b3661bbbf">HardwareBuffer</a>(Usage usage, bool systemMemory, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#0167232206defd94305f6ce82c25af7c">HardwareVertexBuffer</a>(size_t vertexSize, size_t numVertices, HardwareBuffer::Usage usage, bool useSystemMemory, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#d523887cfaa6abe48dd494a3ea06805a">hasShadowBuffer</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f176ad39ac15fc0a6028d820a6fe228ae">HBL_DISCARD</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f32a2f7b1c3430cc9c3f0f665934d0c4a">HBL_NO_OVERWRITE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0fe11601d29cd56aad7ea7a1b23a688b0e">HBL_NORMAL</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0fa364c1511514cd4d7ee1e7092eb41288">HBL_READ_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630246699879ba7647973a2d8ed86acf76f">HBU_DISCARDABLE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630bec61c14b13652a06566a79afd6f7518">HBU_DYNAMIC</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630a0c82d1b27d6cc04e4b5f6d47a22a74c">HBU_DYNAMIC_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec4663029ff2e0fd2b408359e84291b27282516">HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec466306f26f67ab31d60248314c9c6c77c9edb">HBU_STATIC</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec466305ffbb339becd31435c5f616be4c28996">HBU_STATIC_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec466302fe20ff00e9acb928a2d9680f0c505e2">HBU_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#3d5a62cbd76fc2ecd4e1a540bac5f9bc">isLocked</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#61086322fba08abadf4fe6734a7c70f7">isSystemMemory</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#b1caebda1f7442706df97531c2d90aaf">lock</a>(size_t offset, size_t length, LockOptions options)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#93b204642190e611bc226ea08d29160e">lock</a>(LockOptions options)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#59021d471dfa4598bd1a98d6982ac558">lockImpl</a>(size_t offset, size_t length, LockOptions options)=0</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected, pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">LockOptions</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#25edb91791e48a7cc9ba2fb05f11bd33">mIsLocked</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#c96a7a04f4e29d8d00117a80d9a1c9a0">mLockSize</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#272cf9751affd73ea03930153357930b">mLockStart</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#36d77550269d084792c0c863ca5e8a35">mNumVertices</a></td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#01ef9e872aec8bb74b75be1aff787c8f">mpShadowBuffer</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#68127e87e132304c7655df554a82110c">mShadowUpdated</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a8fecea9221ffacaae2f1fdea38558da">mSizeInBytes</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#47e53af2e87624c42ab934766bf65fca">mSuppressHardwareUpdate</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#f97b321278124803d13b700a46657ecb">mSystemMemory</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#2eb83f024781415a7fefb31f65a255c2">mUsage</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#2caed02d4c9ad400d020ea8b0b24adf4">mUseShadowBuffer</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#b8eb0ea0224219c41ce7630bdfa1fa8c">mVertexSize</a></td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#552f466b57ba77f29e083266d4688765">readData</a>(size_t offset, size_t length, void *pDest)=0</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#688e1be4a913099ce5e06172771e2d45">suppressHardwareUpdate</a>(bool suppress)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#64ddd429ff2c8ac4f0cca5decb5c6757">unlock</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#82ec5566379a4c76fea8b68d55ee9d6f">unlockImpl</a>(void)=0</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected, pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">Usage</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#8c313688a0df3c28a36738c31fcbc3ee">writeData</a>(size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)=0</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#2514db557f1562eef2b7a70a1b2d8344">~HardwareBuffer</a>()</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html#572e98b8ff0a3a42d350a4fb09438fc4">~HardwareVertexBuffer</a>()</td><td><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">Ogre::HardwareVertexBuffer</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:58 2008
</p>
</body>
</html>
